<?php

namespace CmBundle\Entity;

use Doctrine\ORM\Mapping as ORM;

/**
 * AlumnosCursos
 *
 * @ORM\Table(name="alumnos_cursos", indexes={@ORM\Index(name="cve_alu", columns={"cve_alu"}), @ORM\Index(name="cve_cur", columns={"cve_cur"})})
 * @ORM\Entity
 */
class AlumnosCursos
{
    /**
     * @var integer
     *
     * @ORM\Column(name="ide_alu_curso", type="integer", nullable=false)
     * @ORM\Id
     * @ORM\GeneratedValue(strategy="IDENTITY")
     */
    private $ideAluCurso;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_alu", type="integer", nullable=false)
     */
    private $cveAlu;

    /**
     * @var integer
     *
     * @ORM\Column(name="cve_cur", type="integer", nullable=false)
     */
    private $cveCur;

    /**
     * @var integer
     *
     * @ORM\Column(name="estatus", type="integer", nullable=false)
     */
    private $estatus;



    /**
     * Get ideAluCurso
     *
     * @return integer
     */
    public function getIdeAluCurso()
    {
        return $this->ideAluCurso;
    }

    /**
     * Set cveAlu
     *
     * @param integer $cveAlu
     *
     * @return AlumnosCursos
     */
    public function setCveAlu($cveAlu)
    {
        $this->cveAlu = $cveAlu;
    
        return $this;
    }

    /**
     * Get cveAlu
     *
     * @return integer
     */
    public function getCveAlu()
    {
        return $this->cveAlu;
    }

    /**
     * Set cveCur
     *
     * @param integer $cveCur
     *
     * @return AlumnosCursos
     */
    public function setCveCur($cveCur)
    {
        $this->cveCur = $cveCur;
    
        return $this;
    }

    /**
     * Get cveCur
     *
     * @return integer
     */
    public function getCveCur()
    {
        return $this->cveCur;
    }

    /**
     * Set estatus
     *
     * @param integer $estatus
     *
     * @return AlumnosCursos
     */
    public function setEstatus($estatus)
    {
        $this->estatus = $estatus;
    
        return $this;
    }

    /**
     * Get estatus
     *
     * @return integer
     */
    public function getEstatus()
    {
        return $this->estatus;
    }
}
